org.apache.lucene.luke.app.desktop.util.inifile

## Interface IniFile

All Known Implementing Classes:
  SimpleIniFile

    public interface IniFile

Interface representing ini files

### Method Summary

All Methods Instance Methods Abstract Methods
`Boolean` `getBoolean(String section, String option)`
`String` `getString(String section, String option)`
`void` `load(Path path)`
`void` `put(String section, String option, Object value)`
`void` `store(Path path)`

### Method Detail

#### load

    void load(Path path)
       throws IOException

Throws:
  `IOException`

#### store

    void store(Path path)
        throws IOException

Throws:
  `IOException`

#### put

    void put(String section,
             String option,
             Object value)

#### getString

    String getString(String section,
                     String option)

#### getBoolean

    Boolean getBoolean(String section,
                       String option)